#ifndef _JESD_ORX_TIMER_H_
#define _JESD_ORX_TIMER_H_

#include "typedef.h"

#define SNIFFER_TMR_PERIOD		160000      // 160ms

int32_t jesd_orx_mtimer_init(int32_t nTmrId, int32_t nScsId);

int32_t jesd_orx_timer_init(void);

int32_t set_jesd_orx_tmr_period(void);

int32_t jesd_orx_1pps_src_init(uint8_t srcId);

int32_t set_jesd_orx_1pps_scratch(void);

int32_t set_jesd_orx_timer_int(void);

int32_t set_jesd_orx_tmr_point(int32_t usPoint);

// 启动orx timer开始计数
void start_jesd_orx_timer(void);

// orx timer停止计数
void stop_jesd_orx_timer(void);

// orx pin ctrl，orx常收
int32_t jesd_orx_pin_ctrl(void);

// 物理层通知平台，进行orx数据搬移
int32_t phy_sniffer_start(uint32_t nOffsetUs);

#endif

